
import collections
from typing import List,Optional
import heapq

class Solution:
    def threeSumClosest(self, nums: List[int], target: int) -> int:
        dis = float("inf")
        minSum = 0
        nums.sort()
        for i in range(len(nums)):
            if i != 0 and nums[i] == nums[i-1]:
                continue

            start = nums[i]
            L = i+1
            R = len(nums)-1

            while L< R:
                sum = start + nums[L] + nums[R]
                diff = abs(sum-target)
                if diff < dis:
                    minSum = sum
                    dis = diff
                if sum == target:
                    return sum
                if sum > target:
                    R-=1
                else:
                    L+=1
        return minSum 
    

s=Solution()
n=[326,-533,864,-947,483,80,-180,-664,223,-244,-350,-750,-221,-162,46,-614,-478,221,102,-482,921,227,-400,-802,-76,-329,84,907,-379,15,112,313,246,-718,908,-92,-612,283,-910,552,-972,-673,-129,-959,-962,340,-886,809,-657,-869,431,392,8,597,947,-116,-594,390,-419,636,559,-212,957,-659,898,515,-613,-933,228,-397,-639,131,-912,500,-283,-248,-57,818,-427,-810,-126,-337,-215,-12,444,-468,608,740,530,795,923,847,844,338,-394,940,225,-295,5,-670,-131,567,-249,-765,708,117,412,634,-699,910,137,-114,-330,250,997,293,-66,-563,-530,-353,777,986,-603,119,120,-713,-702,863,-46,711,62,996,58,720,845,235,-735,-370,495,-142,-413,785,590,-287,-459,-897,-382,722,507,-642,-792,-327,815,449,-146,868,-816,-474,-814,357,-224,-622,-918,-310,468,930,176,-631,195,-716,-189,-399,359,-742,661,-606,-911,-808,627,-842,554,148,-560,474,-463,100,-965,577,-854,-578,952,-836,39,-615,198,-256,-590,-790,653,-985,-85,428,-599,956,-438,820,994,179,-777,-305,-795,174,-763,-38,-512,977,709,-651,423,-960,-733,-891,-748,372,-55,447,-927,-331,471,296,642,-77,-684,506,394,799,564,301,282,613,239,382,-668,-94,-257,973,-589,-954,745,514,-654,-671,-949,157,-501,870,966,466,-522,342,629,150,281,-119,919,-555,43,703,45,-461,385,888,-662,-862,556,355,779,-352,384,-720,-398,648,-796,-602,630,316,624,-761,668,-696,408,318,262,-957,-470,-61,656,-893,-534,-757,-264,-40,906,662,81,311,-165,68,854,585,-950,-340,-313,672,824,-782,-203,778,-160,-798,87,837,-344,-923,851,452,-553,-979,49,118,872,-644,-591,934,71,867,-627,-72,841,-529,-519,-882,255,78,-355,883,646,-207,453,570,-551,-772,-150,167,-523,0,56,421,974,843,-106,307,-32,329,928,472,-303,-881,306,-929,436,-719,-715,241,-724,-405,-206,-870,-637,-100,831,-692,-666,-196,-71,132,626,-781,-277,-433,-630,842,-998,937,-698,-574,-320,652,83,-20,-358,-368,-35,134,-387,362,827,696,-109,-993,165,-527,325,695,-531,487,-435,82,330,-15,-449,337,-952,-593,584,-292,101,280,138,539,501,258,830,890,314,-924,-663,-118,-434,-214,269,-43,-754,563,-273,-437,611,752,-936,715,628,-997,-285,523,335,688,-543,413,53,526,-907,-123,-383,-766,-60,-600,-641,707,366,-546,561,702,-841,-983,744,557,-388,-191,793,-293,-18,484,181,-357,146,-48,371,810,191,-745,-707,348,678,-703,-569,521,723,353,-469,317,654,736,-811,322,-619,623,128,-871,19,-860,822,-377,3,772,-616,826,441,874,-945,-175,802,978,54,424,-624,929,-490,57,-302,-853,592,-210,-500,298,490,-156,345,-946,762,-346,260,48,763,98,572,93,-290,154,-250,-859,-540,-813,224,-47,-336,-544,-820,969,-455,680,-516,858,387,-515,-462,-608,-709,-902,-545,742,197,522,-575,-193,292,-746,237,965,499,52,36,-986,-580,-296,107,-727,-725,-267,-771,761,562,-466,-481,-28,109,821,-915,415,35,-797,493,971,-144,871,876,443,-491,667,-163,-289,-58,618,376,30,-199,743,55,303,-852,-556,261,161,-971,-827,73,-963,1000,-294,-132,-524,860,193,89,-304,-554,-751,566,-117,-778,-125,-955,-900,-69,-56,-774,609,328,689,-348,-645,-737,92,272,-188,692,600,284,951,-136,294,884,-958,673,-8,-509,546,862,-755,-159,-693,-740,726,7,-714,531,432,160,-978,-418,-672,-218,-316,639,494,834,151,776,-710,-658,-996,542,-517,-920,840,-518,878,-425,205,-640,-988,-497,-253,825,749,920,621,738,-736,18,-431,-456,-794,985,794,-807,-913,-576,619,-26,234,-447,-325,-95,643,344,164,208,-557,-823,-307,171,-45,247,814,-503,172,-243,38,676,728,28,909,705,-494,512,-835,813,-450,141,-868,491,110,319,970,758,-858,-507,-260,941,-989,189,-901,406,-931,51,-506,893,271,308,194,954,796,615,-793,99,771,-228,304,-916,617,368,245,482,897,-812,599,-378,-770,422,-609,905,-674,-332,895,675,649,-571,122,27,640,173,-268,938,411,-889,-381,361,625,-181,437,263,-541,-477,693,265,391,-335,-363,-235,206,892,331,-475,215,-647,336,-943,990,-941,781,976,-233,-411,651,-157,-280,-926,-186,190,-951,551,-656,-406,-108,-182,124,9,750,-595,-597,-185,-832,-208,-51,-279,935,-865,914,503,789,-49,877,218,-585,-626,-864,-508,162,200,-711,-892,-536,801,397,-596,252,-648,532,-878,764,-380,12,-559,270,899,788,-768,-420,-323,587,-349,-502,140,50,289,185,126,852,757,-970,389,739,44,-245,-444,-93,549,574,645,407,-896,47,75,-276,-932,254,-408,-844,-855,116,-636,581,-365,538,220,-564,-894,980,-738,-147,-880,233,347,-632,-505,-547,958,-371,187,927,578,-134,-306,-441,-174,-675,346,-135,786,635,730,755,-866,558,-825,727,-415,-259,274,-90,-263,732,-111,-326,735,40,-655,-227]

print(s.threeSumClosest(n, 7272))

             

